Groovy and Grails Tool Suite IDE builder error - DONT_CARE message

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Groovy and Grails Tool Suite IDE builder error - DONT_CARE message

joel.brewster

Hello,

Has anyone ever encountered the "Building workspace has encountered a
problem  - Errors occurred during the build.  Errors running builder 'Java
Builder' DONT_CARE"  using the Groovy and Grails Tool Suite IDE version
3.1?  I have seen it before and I thought it was due to a bad version of
some recently updated software/plugin.  In the past I reverted back to a
previous installation or upgraded to the most current updates and the
problem went away.  Today it happened on a coworker's machine and we tried
to revert back to the previous version and updated to current version and
we still get the error.  She had used the Groovy and Grails Tool Suite IDE
last week just fine and then when she pulled it up today she had the
problem.  Any ideas?

(Embedded image moved to file: pic20580.gif)

Sorry if this is not on the correct mailing list but I did not see a
mailing list specifically for GG.

Thanks in advance

Joel Brewster
Mutual Of Omaha
[hidden email]
402.351.6989
This e-mail and any files transmitted with it are confidential and are solely for the use of the addressee.  It may contain material that is legally privileged, proprietary or subject to copyright belonging to Mutual of Omaha Insurance Company and its affiliates, and it may be subject to protection under federal or state law.  If you are not the intended recipient, you are notified that any use of this material is strictly prohibited.  If you received this transmission in error, please contact the sender immediately by replying to this e-mail and delete the material from your system.  Mutual of Omaha Insurance Company may archive e-mails, which may be accessed by authorized persons and may be produced to other parties, including public authorities, in compliance with applicable laws.


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email

pic20580.gif (17K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Groovy and Grails Tool Suite IDE builder error - DONT_CARE message

Andrew Eisenberg
Do you have a stack trace for this?  Window -> Show view -> Other -> Error log.


On Wed, Aug 21, 2013 at 12:45 PM, <[hidden email]> wrote:

Hello,

Has anyone ever encountered the "Building workspace has encountered a
problem  - Errors occurred during the build.  Errors running builder 'Java
Builder' DONT_CARE"  using the Groovy and Grails Tool Suite IDE version
3.1?  I have seen it before and I thought it was due to a bad version of
some recently updated software/plugin.  In the past I reverted back to a
previous installation or upgraded to the most current updates and the
problem went away.  Today it happened on a coworker's machine and we tried
to revert back to the previous version and updated to current version and
we still get the error.  She had used the Groovy and Grails Tool Suite IDE
last week just fine and then when she pulled it up today she had the
problem.  Any ideas?

(Embedded image moved to file: pic20580.gif)

Sorry if this is not on the correct mailing list but I did not see a
mailing list specifically for GG.

Thanks in advance

Joel Brewster
Mutual Of Omaha
[hidden email]
<a href="tel:402.351.6989" value="+14023516989">402.351.6989
This e-mail and any files transmitted with it are confidential and are solely for the use of the addressee.  It may contain material that is legally privileged, proprietary or subject to copyright belonging to Mutual of Omaha Insurance Company and its affiliates, and it may be subject to protection under federal or state law.  If you are not the intended recipient, you are notified that any use of this material is strictly prohibited.  If you received this transmission in error, please contact the sender immediately by replying to this e-mail and delete the material from your system.  Mutual of Omaha Insurance Company may archive e-mails, which may be accessed by authorized persons and may be produced to other parties, including public authorities, in compliance with applicable laws.


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Groovy and Grails Tool Suite IDE builder error - DONT_CARE message

Andrew Eisenberg-2
Thanks for the error log.  I can't see exactly why you are not able to start GGTS.  Try restarting with a -clean option.  As for the "DONT_CARE" problem, this seems to be coming about because of a version mismatches within Groovy-Eclipse.  There was a bundle that was removed from the distribution in 2.8.0, but it looks like it is still hanging around your (or your colleague's) system.

I'm assuming that you are using Groovy-Eclipse 2.8.0.  If not, then I'd recommend upgrading to it.  And then check in your GGTS/plugins directory.  do you have a jar called org.codehaus.groovy.eclipse.frameworkadapter_XXX.jar?  If so, this jar should not be around.  It is likely this that is causing the problem. You can move this jar somewhere else and see if that fixes the problem.


On Thu, Aug 22, 2013 at 7:35 AM, <[hidden email]> wrote:

Hi Andrew,

Unfortunately she now can no longer get the Groovy and Grails Tool Suite
IDE to successfully launch.  Yesterday afternoon she reverted back to
previous version which got her back up and running.

This morning prior to reading your email we tried to recreate the error by
using the "Check for Updates" functionality and now it will not launch at
all and she gets and error message to take a look at a log file that I have
supplied.  I'm not sure if the log file will come across on the list, so if
you need it just pm me.  I'm thinking this is not exactly what you asked
for but this is what I can currently provide.

I have seen this issue on another machine we have but the revert and update
strategy worked fine on that machine.  I'm leaning toward doing a complete
re-install if we can't get the problem resolved soon.

(See attached file: .log)

Thanks for your assistance

Joel Brewster
Mutual Of Omaha
[hidden email]
<a href="tel:402.351.6989" value="+14023516989">402.351.6989



From:   Andrew Eisenberg <[hidden email]>
To:     "[hidden email]"
            <[hidden email]>,
Date:   08/22/2013 12:12 AM
Subject:        Re: [groovy-user] Groovy and Grails Tool Suite IDE builder
            error - DONT_CARE message
Sent by:        <[hidden email]>



Do you have a stack trace for this?  Window -> Show view -> Other -> Error
log.


On Wed, Aug 21, 2013 at 12:45 PM, <[hidden email]> wrote:

  Hello,

  Has anyone ever encountered the "Building workspace has encountered a
  problem  - Errors occurred during the build.  Errors running builder
  'Java
  Builder' DONT_CARE"  using the Groovy and Grails Tool Suite IDE version
  3.1?  I have seen it before and I thought it was due to a bad version of
  some recently updated software/plugin.  In the past I reverted back to a
  previous installation or upgraded to the most current updates and the
  problem went away.  Today it happened on a coworker's machine and we
  tried
  to revert back to the previous version and updated to current version and
  we still get the error.  She had used the Groovy and Grails Tool Suite
  IDE
  last week just fine and then when she pulled it up today she had the
  problem.  Any ideas?

  (Embedded image moved to file: pic20580.gif)

  Sorry if this is not on the correct mailing list but I did not see a
  mailing list specifically for GG.

  Thanks in advance

  Joel Brewster
  Mutual Of Omaha
  [hidden email]
  <a href="tel:402.351.6989" value="+14023516989">402.351.6989
  This e-mail and any files transmitted with it are confidential and are
  solely for the use of the addressee.  It may contain material that is
  legally privileged, proprietary or subject to copyright belonging to
  Mutual of Omaha Insurance Company and its affiliates, and it may be
  subject to protection under federal or state law.  If you are not the
  intended recipient, you are notified that any use of this material is
  strictly prohibited.  If you received this transmission in error, please
  contact the sender immediately by replying to this e-mail and delete the
  material from your system.  Mutual of Omaha Insurance Company may archive
  e-mails, which may be accessed by authorized persons and may be produced
  to other parties, including public authorities, in compliance with
  applicable laws.


  ---------------------------------------------------------------------
  To unsubscribe from this list, please visit:

      http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Groovy and Grails Tool Suite IDE builder error - DONT_CARE message

Björn
This post has NOT been accepted by the mailing list yet.
Hello,

I stumbled over the same problem even though I am not using the Grails Tool Suite. I removed the files

org.codehaus.groovy.frameworkadapter_2.7.2.xx-RELEASE-20121219-0800-e42.jar
org.codehaus.groovy.frameworkadapter_2.7.1.xx-20120921-2000-e42RELEASE.jar

to make the problem go away (so there is no eclipse in the jar name).

Best regards,
Björn